## Index

### Classes

- Server
- Socket

### Interfaces

- AddressInfo
- IpcNetConnectOpts
- IpcSocketConnectOpts
- ListenOptions
- SocketConstructorOpts
- TcpNetConnectOpts
- TcpSocketConnectOpts

### Type aliases

- LookupFunction
- NetConnectOpts
- SocketConnectOpts

### Functions

- connect
- createConnection
- createServer
- isIP
- isIPv4
- isIPv6

## Type aliases

### LookupFunction

LookupFunction: function

- Defined in node_modules/@types/node/net.d.ts:6

#### Type declaration

- - (hostname: string, options: LookupOneOptions, callback: function): void

  - #### Parameters

    - ##### hostname: string

    - ##### options: LookupOneOptions

    - ##### callback: function

      - - (err: ErrnoException | null, address: string, family: number): void

        - #### Parameters

          - ##### err: ErrnoException | null

          - ##### address: string

          - ##### family: number

          #### Returns void

### NetConnectOpts

NetConnectOpts: TcpNetConnectOpts | IpcNetConnectOpts

- Defined in node_modules/@types/node/net.d.ts:236

### SocketConnectOpts

SocketConnectOpts: TcpSocketConnectOpts | IpcSocketConnectOpts

- Defined in node_modules/@types/node/net.d.ts:35

## Functions

### connect

- connect(options: NetConnectOpts, connectionListener?: undefined | function): Socket
- connect(port: number, host?: undefined | string, connectionListener?: undefined | function): Socket
- connect(path: string, connectionListener?: undefined | function): Socket

- - Defined in node_modules/@types/node/net.d.ts:240

  #### Parameters

  - ##### options: NetConnectOpts

  - ##### Optional connectionListener: undefined | function

  #### Returns Socket

- - Defined in node_modules/@types/node/net.d.ts:241

  #### Parameters

  - ##### port: number

  - ##### Optional host: undefined | string

  - ##### Optional connectionListener: undefined | function

  #### Returns Socket

- - Defined in node_modules/@types/node/net.d.ts:242

  #### Parameters

  - ##### path: string

  - ##### Optional connectionListener: undefined | function

  #### Returns Socket

### createConnection

- createConnection(options: NetConnectOpts, connectionListener?: undefined | function): Socket
- createConnection(port: number, host?: undefined | string, connectionListener?: undefined | function): Socket
- createConnection(path: string, connectionListener?: undefined | function): Socket

- - Defined in node_modules/@types/node/net.d.ts:243

  #### Parameters

  - ##### options: NetConnectOpts

  - ##### Optional connectionListener: undefined | function

  #### Returns Socket

- - Defined in node_modules/@types/node/net.d.ts:244

  #### Parameters

  - ##### port: number

  - ##### Optional host: undefined | string

  - ##### Optional connectionListener: undefined | function

  #### Returns Socket

- - Defined in node_modules/@types/node/net.d.ts:245

  #### Parameters

  - ##### path: string

  - ##### Optional connectionListener: undefined | function

  #### Returns Socket

### createServer

- createServer(connectionListener?: undefined | function): Server
- createServer(options?: undefined | object, connectionListener?: undefined | function): Server

- - Defined in node_modules/@types/node/net.d.ts:238

  #### Parameters

  - ##### Optional connectionListener: undefined | function

  #### Returns Server

- - Defined in node_modules/@types/node/net.d.ts:239

  #### Parameters

  - ##### Optional options: undefined | object

  - ##### Optional connectionListener: undefined | function

  #### Returns Server

### isIP

- isIP(input: string): number

- - Defined in node_modules/@types/node/net.d.ts:246

  #### Parameters

  - ##### input: string

  #### Returns number

### isIPv4

- isIPv4(input: string): boolean

- - Defined in node_modules/@types/node/net.d.ts:247

  #### Parameters

  - ##### input: string

  #### Returns boolean

### isIPv6

- isIPv6(input: string): boolean

- - Defined in node_modules/@types/node/net.d.ts:248

  #### Parameters

  - ##### input: string

  #### Returns boolean

Generated using TypeDoc